Sauce-0.10.1: sauce::internal::InjectorBinding Class Reference

Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sauce::internal::InjectorBinding Class Reference

An injection that provides the injector itself. More...

`#include <sauce/internal/injector_binding.h>`

Inheritance diagram for sauce::internal::InjectorBinding:
[legend]
Collaboration diagram for sauce::internal::InjectorBinding:
[legend]

## Public Member Functions
void | inject (InjectorPtr &injected, BindingPtr, InjectorPtr injector) const
| Inject the injector.
Public Member Functions inherited from sauce::internal::Binding< Key< Injector >::Normalized, NoScope >
std::string | getName () const
| The dynamic name of this binding.
void | setName (std::string const name)
| Set the dynamic name of this binding.
Public Member Functions inherited from sauce::internal::ResolvedBinding< Key< Injector >::Normalized >
NamedTypeId | getKey () const
| The TypeId of the Dependency template parameter.
virtual void | validateAcyclic (sauce::shared_ptr< Injector >, TypeIds &) const =0
| Establish that further dependencies do not introduce cycles with ones already accumulated.
virtual void | get (IfacePtr &, BindingPtr, sauce::shared_ptr< Injector >) const =0
| Get an Iface, using the given injector to provide dependencies.
Public Member Functions inherited from sauce::internal::OpaqueBinding
virtual bool | isModifier () const
| Does this binding modify an existing value?
virtual void | eagerlyInject (OpaqueBindingPtr, sauce::shared_ptr< Injector >) const =0
| Provide, but do not return the hidden interface.

## Additional Inherited Members
Public Types inherited from sauce::internal::Binding< Key< Injector >::Normalized, NoScope >
typedef Key< Key< Injector > ::Normalized >::Normalized | Dependency
typedef Key< Dependency >::Ptr | IfacePtr
typedef ResolvedBinding < Dependency >::BindingPtr | BindingPtr
Protected Member Functions inherited from sauce::internal::InjectorFriend
template<typename Dependency >
void | validateAcyclicHelper (InjectorPtr injector, TypeIds &ids, std::string const name) const
template<typename Dependency >
void | injectHelper (typename Key< Dependency >::Ptr &injected, InjectorPtr injector, std::string const name) const
template<typename Dependency >
void | cache (InjectorPtr injector, typename Key< Dependency >::Ptr injected, i::TypeId scope) const
template<typename Dependency >
bool | probe (InjectorPtr injector, typename Key< Dependency >::Ptr &injected, i::TypeId scope) const

## Detailed Description

An injection that provides the injector itself.

## Member Function Documentation

void sauce::internal::InjectorBinding::inject | ( | InjectorPtr & | injected,
|  | BindingPtr | ,
|  | InjectorPtr | injector
| ) |  | const
| inline

Inject the injector.

Just return the passed injector.

{
injected = injector;
}

The documentation for this class was generated from the following file:

- sauce/internal/injector_binding.h